### Method

# Gsk PathPointget_rotation

since: 4.14

#### Declaration [src]

    float
    gsk_path_point_get_rotation (
      const GskPathPoint* point,
      GskPath* path,
      GskPathDirection direction
    )

#### Description [src]

Gets the direction of the tangent at a given point.

This is a convenience variant of `gsk_path_point_get_tangent()` that returns the angle between the tangent and the X axis. The angle can e.g. be used in gtk_snapshot_rotate().

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path that `point` is on.

  The data is owned by the caller of the method.

`direction`

  Type: `GskPathDirection`

  The direction for which to return the rotation.

#### Return value

Type: `float`

The angle between the tangent and the X axis, in degrees.